#include <bits/stdc++.h>
using namespace std; 
  
int uporedi(string prviBroj, string drugiBroj) 
{ 
    string prvidrugi = prviBroj + drugiBroj; 
    string drugiprvi = drugiBroj + prviBroj;
  
    return prvidrugi.compare(drugiprvi) > 0 ? 1: 0; 
} 

int main() 
{ 
    vector<string> niz; 
    string a,b,c;
    
    cin>>a;
    cin>>b;
    cin>>c;
    
    niz.push_back(a); 
    niz.push_back(b); 
    niz.push_back(c);
    
    sort(niz.begin(), niz.end(), uporedi); 
  
    for (int i=0; i < niz.size() ; i++ ) 
        cout << niz[i]; 
  
   return 0; 
}